Subject: Re: [ANNOUNCE] B20.1 cygwin1.dll with tape support available
From: [email-masked] (user)

15 Dec 1998 22:44:31 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]
Cc: [email-masked]

I am having a problem with this dll.  When I run a particular gcc step
under it, I get a trap.  (See Below).  I only get the trap if I run
gcc from a DOS command window or from an emacs compile command.  If I
run the same gcc from bash, it works.  If I run the same gcc using the
original cygwin1.dll from B20.1, it works in all cases.

(I changed to rinna's dll to get raw diskette support.)

C:\kitchawan\kitchsrc\tools\build\shared\stubgen\grammar>gcc -o cpp5.exe y.tab.o
 lex.yy.o -lfl
[main] C:\Cygnus\cygwin-b20\H-i586-cygwin32\lib\gcc-lib\i586-cygwin32\egcs-2.91.
57\collect2.exe 1847 (0) handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
[main] collect2 1847 (0) exception: trapped!
[main] collect2 1847 (0) exception: code 0xC0000005 at 0x6105C82D
[main] collect2 1847 (0) exception: ax 0x0 bx 0x61063B80 cx 0x0 dx 0x0
[main] collect2 1847 (0) exception: si 0x0 di 0x61063B80 bp 0x240F85C sp 0x240F8
30
[main] collect2 1847 (0) exception: exception is: STATUS_ACCESS_VIOLATION
[main] collect2 1847 (0) stack: Stack trace:
[main] collect2 1847 (0) stack: frame 0: sp = 0x240F644, pc = 0x61009F4B
[main] collect2 1847 (0) stack: frame 1: sp = 0x240F680, pc = 0x77F94846
[main] collect2 1847 (0) stack: frame 2: sp = 0x240F6A4, pc = 0x77F89013
[main] collect2 1847 (0) stack: frame 3: sp = 0x240F730, pc = 0x77F76392
[main] collect2 1847 (0) stack: frame 4: sp = 0x240F85C, pc = 0x6101BE3B
[main] collect2 1847 (0) stack: frame 5: sp = 0x240F86C, pc = 0x6101BD8A
[main] collect2 1847 (0) stack: frame 6: sp = 0x240F878, pc = 0x6100D451
[main] collect2 1847 (0) stack: frame 7: sp = 0x240F888, pc = 0x610343F7
[main] collect2 1847 (0) stack: frame 8: sp = 0x240FA14, pc = 0x61034427
[main] collect2 1847 (0) stack: frame 9: sp = 0x240FA2C, pc = 0x61056624
[main] collect2 1847 (0) stack: frame 10: sp = 0x240FA3C, pc = 0x61034463
[main] collect2 1847 (0) stack: frame 11: sp = 0x240FA8C, pc = 0x401B62
[main] collect2 1847 (0) stack: frame 12: sp = 0x240FAB0, pc = 0x402455
[main] collect2 1847 (0) stack: frame 13: sp = 0x240FB1C, pc = 0x6100439D
[main] collect2 1847 (0) stack: frame 14: sp = 0x240FF88, pc = 0x610043B8
[main] collect2 1847 (0) stack: frame 15: sp = 0x240FF94, pc = 0x40B87E
[main] collect2 1847 (0) stack: End of stack trace (more stack frames may be pre
sent)
[main] collect2 1847 (60) sig_send: wait for sig_complete event failed, sig -3,
rc 258, error 6
[main] collect2 1847 (60) sig_send: wait for sig_complete event failed, sig -3,
rc 258, error 6

Marc Auslander   <[email-masked]>   914 945-4346  (Tieline 862 Fax x4426)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".